Bug 427104 - freshclam should use local country mirror for updates.
freshclam should use local country mirror for updates.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 13:36 EST by Kevin Fenzi
Modified: 2009-09-13 07:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-13 07:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2007-12-31 13:36:53 EST
Description of problem:

Currently the freshclam package uses the main clamav update mirrors. 
It should look at something like the machines local timezone and set the mirror
to the local country mirror. 

For example, in the dag clamav package: 

ZONES="/usr/share/zoneinfo/zone.tab"
CONFIG="/etc/sysconfig/clock"

if [ -r "$CONFIG" -a -r "$ZONES" ]; then
        source "$CONFIG"
        export CODE="$(grep -E "\b$ZONE\b" "$ZONES" | head -1 | cut -f1 | tr
[A-Z] [a-z])"
fi

if [ -z "$CODE" ]; then
        export CODE="local"
fi

%{__perl} -pi -e '
                s|^(DatabaseMirror) database\.clamav\.net$|$1
db.$ENV{"CODE"}.clamav.net\n$1 db.local.clamav.net|;
                s|^(DatabaseMirror) db\.\.clamav\.net$|$1
db.$ENV{"CODE"}.clamav.net\n$1 db.local.clamav.net|;
        ' %{_sysconfdir}/freshclam.conf{,.rpmnew} &>/dev/null || :
Comment 1 Bug Zapper 2008-05-14 00:16:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:19:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:19:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Tim Jackson 2009-07-14 17:59:34 EDT
Still an issue in F-11
Comment 5 Enrico Scholz 2009-09-13 07:27:25 EDT
not a bug; 'db.local.clamav.net' points already to the country-local mirror for most ips.

Except for load balancing the mirror hosts (which is solved by this automatic mapping) I do not see any sense in using a country-local (resp. the nearest) mirror.

Note You need to log in before you can comment on or make changes to this bug.